Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.event
Class GraphicsNodeFocusEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.gvt.event.GraphicsNodeEvent
              org.apache.batik.gvt.event.GraphicsNodeFocusEvent

All Implemented Interfaces:
  Serializable

    public class GraphicsNodeFocusEvent

extends GraphicsNodeEvent

A low-level event which indicates that a graphics node has gained or lost the keyboard focus.

See Also:
  Serialized Form

Field Summary
`static int` | `FOCUS_GAINED` The id for the "focusGained" event.
`static int` | `FOCUS_LOST` The id for the "focusLoses" event.

Fields inherited from class org.apache.batik.gvt.event.GraphicsNodeEvent
`id`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`GraphicsNodeFocusEvent(GraphicsNode source, int id)` Constructs a new graphics node focus event.

Method Summary

Methods inherited from class org.apache.batik.gvt.event.GraphicsNodeEvent
`consume, getGraphicsNode, getID, isConsumed`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FOCUS_GAINED

    public static final int FOCUS_GAINED

  The id for the "focusGained" event. This event indicates that the component gained the keyboard focus.

  See Also:
    Constant Field Values

### FOCUS_LOST

    public static final int FOCUS_LOST

  The id for the "focusLoses" event. This event indicates that the component lost the keyboard focus.

  See Also:
    Constant Field Values

Constructor Detail

### GraphicsNodeFocusEvent

    public GraphicsNodeFocusEvent(GraphicsNode source,
                                  int id)

  Constructs a new graphics node focus event.

  Parameters:
    `source` - the graphics node where the event originated
    `id` - the id of this event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.